// FontAwesome
@import '../components/icons/fontawesome/fontawesome';

// BOOTSTRAP 4 VARIABLES

@import '../components/images/images';

@import '../components/bootstrap4/functions';
@import '../components/bootstrap4/variables';
@import '../components/bootstrap4/mixins';

//  Themes Variables

@import '../themes/layout-variables';
// BOOTSTRAP 4 IMPORTS

@import '../components/bootstrap4/root';
@import '../components/bootstrap4/reboot';
@import '../components/bootstrap4/type';
@import '../components/bootstrap4/images';
@import '../components/bootstrap4/code';
@import '../components/bootstrap4/grid';
@import '../components/bootstrap4/tables';
@import '../components/bootstrap4/forms';
@import '../components/bootstrap4/buttons';
@import '../components/bootstrap4/transitions';
@import '../components/bootstrap4/dropdown';
@import '../components/bootstrap4/button-group';
@import '../components/bootstrap4/input-group';
@import '../components/bootstrap4/custom-forms';
@import '../components/bootstrap4/nav';
@import '../components/bootstrap4/navbar';
@import '../components/bootstrap4/card';
@import '../components/bootstrap4/breadcrumb';
@import '../components/bootstrap4/pagination';
@import '../components/bootstrap4/badge';
@import '../components/bootstrap4/jumbotron';
@import '../components/bootstrap4/alert';
@import '../components/bootstrap4/progress';
@import '../components/bootstrap4/media';
@import '../components/bootstrap4/list-group';
@import '../components/bootstrap4/close';
@import '../components/bootstrap4/toasts';
@import '../components/bootstrap4/modal';
@import '../components/bootstrap4/tooltip';
@import '../components/bootstrap4/popover';
@import '../components/bootstrap4/carousel';
@import '../components/bootstrap4/spinners';
@import '../components/bootstrap4/utilities';
@import '../components/bootstrap4/print';

///@at-root
// LAYOUT

@import './layout/layout';
// UTILS

@import '../utils/helpers';
@import '../utils/backgrounds';
@import '../utils/animate';
@import '../utils/comps-animations';

// ../elements
@import '../elements/buttons';
@import '../elements/dropdown';
@import '../elements/badges';
@import '../elements/cards';
@import '../elements/tabs';
@import '../elements/accordions';
@import '../elements/modals';
@import '../elements/navs';
@import '../elements/listgroup';
@import '../elements/forms';
@import '../elements/pagination';

// Responsive
@import '../layout/responsive/responsive-base';
//Custom
@import './cards';
@import './carousel';
@import './cart';
@import './drop';
@import './filter';
@import './navbar';
@import './home-block';
@import './main';
@import './search';
@import './store';
@import './product';

.zoom {
  z-index: 0;
  transition: transform 0.5s; /* Animation */
}

.zoom:hover {
  -webkit-box-shadow: 1px 3px 4px 0px rgba(50, 50, 50, 0.53);
  -moz-box-shadow: 1px 3px 4px 0px rgba(50, 50, 50, 0.53);
  box-shadow: 1px 3px 4px 0px rgba(50, 50, 50, 0.53);
  background-color: white;
  z-index: 10000;
  transform: scale(
    1.5
  ); /* (150% zoom - Note: if the zoom is too large, it will go outside of the viewport) */
}


.colors {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(6rem, 1fr));
  list-style: none;
  row-gap: 0.5rem;
  li {
    grid-column: 6rem;
  }
  img {
    width: 6rem;
    height: 100%;
    object-fit: cover;
  }
}
.sizes {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(1rem, 1fr));
  list-style: none;
  row-gap: 0.5rem;
  a {
    text-decoration: none;
  }
  li {
    grid-column: 1rem;
  }
}
.carousel-inner {
  img {
    object-fit: cover;
  }
}
.animate-fading {
  animation: fading 10s infinite;
}
@keyframes fading {
  0% {
    opacity: 0;
  }
  50% {
    opacity: 1;
  }
  100% {
    opacity: 0;
  }
}
.animate-opacity {
  animation: opac 0.8s;
}
@keyframes opac {
  from {
    opacity: 0;
  }
  to {
    opacity: 1;
  }
}
.animate-top {
  position: relative;
  animation: animatetop 0.4s;
}
@keyframes animatetop {
  from {
    top: -300px;
    opacity: 0;
  }
  to {
    top: 0;
    opacity: 1;
  }
}
.animate-left {
  position: relative;
  animation: animateleft 0.4s;
}
@keyframes animateleft {
  from {
    left: -300px;
    opacity: 0;
  }
  to {
    left: 0;
    opacity: 1;
  }
}
.animate-right {
  position: relative;
  animation: animateright 0.4s;
}
@keyframes animateright {
  from {
    right: -300px;
    opacity: 0;
  }
  to {
    right: 0;
    opacity: 1;
  }
}
.animate-bottom {
  position: relative;
  animation: animatebottom 0.4s;
}
@keyframes animatebottom {
  from {
    bottom: -300px;
    opacity: 0;
  }
  to {
    bottom: 0;
    opacity: 1;
  }
}
.animate-zoom {
  animation: animatezoom 0.6s;
}
@keyframes animatezoom {
  from {
    transform: scale(0);
  }
  to {
    transform: scale(1);
  }
}
.animate-input {
  transition: width 0.4s ease-in-out;
}
.animate-input:focus {
  width: 100% !important;
}
.navbar-toggler-icon{
    color:$brand !important;
    background-color: $black;
}
.text-captalize{
    text-transform:capitalize;
}
.productTextContainer{
    display: flex;
    justify-content: space-between;
}
.contentContainer{
    @media (max-width:1000px){
        padding-top:30px}

}
